package com.caimei.mapper;

import com.caimei.model.po.CmDiscernReceiptPo;
import com.caimei.model.po.CmReceiptOrderRelationPo;
import com.caimei.model.vo.DiscernReceiptVo;
import com.caimei.model.vo.OrderProductVo;
import com.caimei.model.vo.OrderVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Mapper
public interface PayOrderMapper {
    /**
     * 查询支付记录
     *
     * @param order
     * @return
     */
    List<DiscernReceiptVo> getDiscernReceipt(OrderVo order);

    /**
     * 更新订单信息
     *
     * @param order
     */
    void updateSelective(OrderVo order);

    /**
     * 保存收款记录
     *
     * @param discernReceipt
     */
    void insertDiscernReceipt(CmDiscernReceiptPo discernReceipt);

    /**
     * 保存订单收款关系
     *
     * @param relation
     */
    void insertOrderRelation(CmReceiptOrderRelationPo relation);

    /**
     * 查询订单商品
     *
     * @param orderId
     * @return
     */
    List<OrderProductVo> findAllOrderProduct(Integer orderId);
}
