package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cm_organize_product
 *
 * @author
 */
@Data
public class CmHeHeProductPo implements Serializable {
    private Integer id;

    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 是否含税   0不含税，1含税，2未知
     */
    private Integer includedTax;

    /**
     * 发票类型(基于是否含税基础)   1增值税专用发票，2增值税普通发票, 3不能开票
     */
    private Integer invoiceType;

    /**
     * 成本价类型：1固定成本 2比例成本
     */
    private Integer costType;

    /**
     * 机构税率 :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;

    /**
     * 供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]
     */
    private BigDecimal shopTaxPoint;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 比例成本百分比
     */
    private BigDecimal costProportional;

    /**
     * 商品状态：0已下架，1已上架
     */
    private Integer status;

    /**
     * 添加时间
     */
    private Date addTime;

    /**
     * 供应商id
     */
    private Integer shopId;

    /**
     * 规格
     */
    private String unit;

    /**
     * 市场价
     */
    private BigDecimal normalPrice;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品主图
     */
    private String mainImage;

    /**
     * 供应商名称
     */
    private String shopName;

    private static final long serialVersionUID = 1L;
}