package com.caimei.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Data
public class LogisticsBatchVo implements Serializable {
    private Long id;

    /**
     * 子订单ID
     */
    private Long shopOrderId;

    /**
     * 主订单ID
     */
    private String orderId;

    /**
     * 第几批发货
     */
    private Long outStoreTimes;

    /**
     * 是否确认收货（0：否，1：是）
     */
    private String status;

    /**
     * 邮寄者  0 采美   1 供应商
     */
    private String mailer;

    /**
     * 供应商ID
     */
    private Long shopId;

    /**
     * 发货时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date deliveryTime;

    /**
     * 收货时间
     */
    private Date receiptTime;

    /**
     * 备注图片,以"||"隔开
     */
    private String remarkImage;

    /**
     * 备注
     */
    private String remark;

    /**
     * 物流跟踪信息
     */
    private List<LogisticsInformationVo> logisticsInformationList;

    /**
     * 子订单信息
     */
    private List<ShopOrderVo> shopOrderList;

    private static final long serialVersionUID = 1L;
}
