package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/22
 */
@Data
public class ProductVo implements Serializable {
    /**
     * 对应采美商品id
     */
    private Integer productId;

    /**
     * 是否为推荐商品(0 没推荐,1 推荐商品)
     */
    private String recommend;

    /**
     * 售价
     */
    private BigDecimal price;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品图片
     */
    private String mainImage;

    /**
     * 包装规格
     */
    private String unit;

    /**
     * 活动状态:0没有活动,1活动价
     */
    private Integer activeStatus = 0;

    /**
     * 是否含税 0不含税，1含税
     */
    private String includedTax;

    /**
     * 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票
     */
    private String invoiceType;

    /**
     * 机构税率 :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;
}
