package com.caimei.service;

import com.alibaba.fastjson.JSONObject;
import com.caimei.model.ResponseJson;
import com.caimei.model.dto.PaymentDto;

/**
 * Description
 *
 * @author : plf
 * @date : 2020/5/9
 */
public interface PayOrderService {

    /**
     * 线上支付
     *
     * @param payment 支付参数对象
     * @return
     */
    ResponseJson<JSONObject> pay(PaymentDto payment);

    /**
     * 异步回调通知
     */
    String paymentCallback(String data) throws Exception;

    /**
     * 判断此次支付是否完成
     *
     * @param orderId           订单id
     * @param paySuccessCounter 付款次数
     * @return
     */
    ResponseJson<String> payWhetherSuccess(Integer orderId, Integer paySuccessCounter);

    /**
     * 查询第三方订单状态
     *
     * @param mbOrderId 平台唯一流水号
     * @return
     */
    ResponseJson<JSONObject> findOrderStatus(String mbOrderId);
}
